#global candidate rc2

Name:    tpm2-tools
Version: 5.0
Release: %mkrel 1%{?candidate:.%{candidate}}
Summary: A bunch of TPM testing toolS build upon tpm2-tss
Group:   Emulators
License: BSD
URL:     https://github.com/tpm2-software/tpm2-tools
Source0: https://github.com/tpm2-software/tpm2-tools/releases/download/%{version}%{?candidate:-%{candidate}}/%{name}-%{version}%{?candidate:-%{candidate}}.tar.gz

BuildRequires: gcc-c++
BuildRequires: libtool
BuildRequires: autoconf-archive
#BuildRequires: pandoc
BuildRequires: pkgconfig(cmocka)
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(openssl)
# tpm2-tss-devel provides tss2-mu/sys/esys package config
BuildRequires: pkgconfig(tss2-mu)
BuildRequires: pkgconfig(tss2-sys)
BuildRequires: pkgconfig(tss2-esys)
BuildRequires: pkgconfig(uuid)

# tpm2-tools is heavily depending on TPM2.0-TSS project, matched tss is required
Requires: tpm2-tss%{?_isa} >= 2.3.1

%description
tpm2-tools is a batch of tools for tpm2.0. It is based on tpm2-tss.

%prep
%autosetup -p1 -n %{name}-%{version}%{?candidate:-%{candidate}}

%build
# (tv) break building:
%define _ssp_cflags %{nil}
# LTO exposes a latent uninitialized variable "value" in the function # "nt".
# This has been reported to the maintainer (Yunying), but they have not
# responded and I am not comfortable enough with the code to know if a trivial
# initialization to zero is appropriate/safe.  So LTO is disabled for now.
%define _lto_cflags %{nil}
%configure --prefix=/usr --disable-static --disable-silent-rules
%make_build

%install
%make_install

%files
%license doc/LICENSE
%doc README.md doc/CHANGELOG.md
%{_bindir}/tpm2
%{_bindir}/tpm2_*
%{_bindir}/tss2
%{_bindir}/tss2_*
%{_datadir}/bash-completion/completions/tpm2*
%{_datadir}/bash-completion/completions/tss2*
%{_mandir}/man1/tpm2_*.1.*
%{_mandir}/man1/tpm2.1.*
%{_mandir}/man1/tss2_*.1.*



%changelog
* Thu Jan 21 2021 tv <tv> 5.0-1.mga8
+ Revision: 1672745
- imported package tpm2-tools

